%define rname	fireftp
%define cid 	\{a7c6cf7f-112c-4500-a7ea-39801a327e5f\}
%define ciddir	%firefox_extensionsdir/%cid

Summary:	Plugin fireftp for Firefox
Name:		%firefox_name-%rname
Version:	0.87
Release:	alt2
Source0:	%rname.xpi
License:	GPL
Group:		Networking/WWW	
URL:		http://fireftp.mozdev.org/
Buildrequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version

Packager:       Alexey Shabalin <shaba@altlinux.ru>

%description 	
FTP client for Mozilla Firefox.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.87-alt2
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.87-alt1.3
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.87-alt1.2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 0.87-alt1.1
- Rebuild with new firefox.

* Tue Jun 28 2005 Alexey Shabalin <shaba@altlinux.ru> 0.87-alt1
- first build for ALT Linux.
